From 4b459d661e1d71275efdb2b94a8cd0310b0bda61 Mon Sep 17 00:00:00 2001
From: wael <wael@waelk.tech>
Date: Feb 21 2023 09:06:46 +0000
Subject: [PATCH 13/33] [rush]: upgrade to v2.3


---

diff --git a/pcr/rush/PKGBUILD b/pcr/rush/PKGBUILD
index de454af..e8f9294 100644
--- a/pcr/rush/PKGBUILD
+++ b/pcr/rush/PKGBUILD
@@ -1,6 +1,7 @@
 # Maintainer (aur):  Chris Severance aur.severach aATt spamgourmet dott com
 # Contributor: Brandon Invergo <brandon@invergo.net>
 # Contributor: B3nny <benny@b3nny.net>
+# Contributor: Wael Karram <wael@waelk.tech>
 
 # parabola changes and rationale:
 #  - added .install file to update icon database
@@ -8,37 +9,30 @@
 
 set -u
 pkgname='rush'
-pkgver='1.8'
+pkgver='2.3'
 pkgrel='1'
 pkgdesc='GNU Restricted User Shell'
 arch=('i686' 'x86_64' 'armv7h')
 url='http://puszcza.gnu.org.ua/software/rush/'
 license=('GPL3')
-makedepends=('patch')
+#makedepends=('patch')
 backup=('etc/rush.rc')
 install='rush.install'
 _verwatch=("${url}download.html" "${pkgname}-\([0-9\.]\+\)\.tar.xz" 't')
 source=("http://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz"
         'rush-1.7-glib-2.16-gets.patch'
         'intprops.patch')
-# md5 and sha1 are published by gnu
-md5sums=('50d8bb3c0a502f2c1f5b374046ff78de'
-         'dcd87b8bf9738796621030930384f97d'
-         'a86f13da54caba8df99719153c72cdcf')
-sha1sums=('e882f68d9004af608b7e5c430c367645aa3e3b75'
-          'adb33d34f04846734ec3457517b46fb7a73efa6f'
-          '637d0a93c8e73e86e9a62f95296e1e110bd6a038')
-sha256sums=('dd3b7bfb33570890086218aa049900a9b4d5a9e8d4878a1328e2aa88bb5793ee'
+sha256sums=('8cae258247cd2623e856ea5e2c62cd7f09e9e3e043e6fc63bbd1abec3d3fdd93'
             '159dd2fc0fd4feec5d43cf7763a429b9c2da5c50597b157de9e5b376d9ff85a8'
             'eb916fff92a4a33fff4951f1f219e8c9fb12f3a6c0dd462da30e451b26789a28')
 
 prepare() {
   set -u
   cd "${pkgname}-${pkgver}"
-  patch -Np1 -i "$srcdir"/intprops.patch
-  if [ "$(vercmp ${pkgver} '1.8')" -lt 0 ]; then
-    patch -p1 < "${srcdir}/rush-1.7-glib-2.16-gets.patch"
-  fi
+  #patch -Np1 -i "$srcdir"/intprops.patch
+  #if [ "$(vercmp ${pkgver} '1.8')" -lt 0 ]; then
+  #  patch -p1 < "${srcdir}/rush-1.7-glib-2.16-gets.patch"
+  #fi
   sed -i -e 's:^\s*[^#]:#&:g' 'etc/rush.rc'
   ./configure --prefix='/usr' --sysconfdir='/etc' --localstatedir='/var' --sbindir='/usr/bin'
   set +u

